### Method

# Gcr Parser parse_stream_async

#### Declaration [src]

    void
    gcr_parser_parse_stream_async (
      GcrParser* self,
      GInputStream* input,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Parse items from the data in a `GInputStream`. This function completes asyncronously and doesn’t block.

The `GcrParser::parsed` and `GcrParser::authenticate` signals may fire during the parsing.

This method completes asynchronously. Use `gcr_parser_parse_stream_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`input`

  Type: `GInputStream`

  The input stream.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  An optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.